Skip to content

List TLS certificates

GET
/certificates
curl --request GET \
--url https://sylve.lan:8181/api/certificates \
--header 'Authorization: <Authorization>'

List all configured public TLS certificates without exposing stored PEM material

Success

Media typeapplication/json
object
data
Array<object>
object
active
boolean
domain
string
dynamicDnsEntryId
integer
fingerprint
string
id
integer
issuanceError
string
issuanceOperation
string
Allowed values: initial renewal
issuanceRetryAt
string
issuanceStatus
string
name
string
notAfter
string
notBefore
string
pending
boolean
ready
boolean
renewable
boolean
staging
boolean
type
string
Allowed values: imported self-signed lets-encrypt sylve-managed system-default
updatedAt
string
error
string
message
string
status
string
Example
{
"data": [
{
"issuanceOperation": "initial",
"type": "imported"
}
]
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}